ros-rolling-rviz2 (15.2.2-2resolute) resolute; urgency=high

  * Use rosdep keys that select Qt5 or Qt6 by platform (#1720 <https://github.com/ros2/rviz/issues/1720>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 24 Apr 2026 05:00:00 -0000

ros-rolling-rviz2 (15.2.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 24 Apr 2026 05:00:00 -0000

ros-rolling-rviz2 (15.2.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 15 May 2026 05:00:00 -0000

ros-rolling-rviz2 (15.1.19-2resolute) resolute; urgency=high

  * Use new ROSIDL aggregate CMake target (#1688 <https://github.com/ros2/rviz/issues/1688>)
  * Fix Qt version resolution when both Qt5 and Qt6 are installed - CMake defaults to ascending resolution and Qt5 will be found when Qt6 is desired (Rolling, L-Turtle, and beyond). (#1689 <https://github.com/ros2/rviz/issues/1689>)
  * Contributors: Emerson Knapp, Nathan Brooks

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 24 Mar 2026 05:00:00 -0000

ros-rolling-rviz2 (15.1.18-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 25 Feb 2026 06:00:00 -0000

ros-rolling-rviz2 (15.1.17-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 24 Feb 2026 06:00:00 -0000

ros-rolling-rviz2 (15.1.16-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Jan 2026 06:00:00 -0000

ros-rolling-rviz2 (15.1.15-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Dec 2025 06:00:00 -0000

ros-rolling-rviz2 (15.1.14-2resolute) resolute; urgency=high

  * Use qt6 as the default dependency from rosdep (#1635 <https://github.com/ros2/rviz/issues/1635>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 17 Dec 2025 06:00:00 -0000

ros-rolling-rviz2 (15.1.13-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 28 Nov 2025 06:00:00 -0000

ros-rolling-rviz2 (15.1.12-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 07 Nov 2025 06:00:00 -0000

ros-rolling-rviz2 (15.1.11-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 20 Oct 2025 05:00:00 -0000

ros-rolling-rviz2 (15.1.10-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 26 Sep 2025 05:00:00 -0000

ros-rolling-rviz2 (15.1.9-2resolute) resolute; urgency=high

  * get rid of deprecated rclcpp::spin_some() (#1567 <https://github.com/ros2/rviz/issues/1567>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 04 Sep 2025 05:00:00 -0000

ros-rolling-rviz2 (15.1.8-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 22 Aug 2025 05:00:00 -0000

ros-rolling-rviz2 (15.1.7-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 25 Jul 2025 05:00:00 -0000

ros-rolling-rviz2 (15.1.6-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Jul 2025 05:00:00 -0000

ros-rolling-rviz2 (15.1.5-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 27 Jun 2025 05:00:00 -0000

ros-rolling-rviz2 (15.1.4-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 20 Jun 2025 05:00:00 -0000

ros-rolling-rviz2 (15.1.3-2resolute) resolute; urgency=high

  * feat: support both qt5 and qt6 (#1187 <https://github.com/ros2/rviz/issues/1187>)
  * Contributors: Daisuke Nishimatsu

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 20 May 2025 05:00:00 -0000

ros-rolling-rviz2 (15.1.2-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 14 May 2025 05:00:00 -0000

ros-rolling-rviz2 (15.1.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 May 2025 05:00:00 -0000

ros-rolling-rviz2 (15.1.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 25 Apr 2025 05:00:00 -0000

ros-rolling-rviz2 (15.0.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 25 Apr 2025 05:00:00 -0000

ros-rolling-rviz2 (14.4.4-2resolute) resolute; urgency=high

  * Expose the possibility to create ROS node with custom NodeOptions (#1347 <https://github.com/ros2/rviz/issues/1347>)
  * Contributors: Patrick Roncagliolo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 20 Mar 2025 05:00:00 -0000

ros-rolling-rviz2 (14.4.3-2resolute) resolute; urgency=high

  * uniform CMAKE requirement (#1335 <https://github.com/ros2/rviz/issues/1335>)
  * Contributors: mosfet80

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 27 Feb 2025 06:00:00 -0000

ros-rolling-rviz2 (14.4.2-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 31 Jan 2025 06:00:00 -0000

ros-rolling-rviz2 (14.4.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 15 Jan 2025 06:00:00 -0000

ros-rolling-rviz2 (14.4.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 20 Dec 2024 06:00:00 -0000

ros-rolling-rviz2 (14.3.3-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Nov 2024 06:00:00 -0000

ros-rolling-rviz2 (14.3.2-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 20 Nov 2024 06:00:00 -0000

ros-rolling-rviz2 (14.3.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 11 Oct 2024 05:00:00 -0000

ros-rolling-rviz2 (14.3.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 03 Oct 2024 05:00:00 -0000

ros-rolling-rviz2 (14.2.6-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 28 Aug 2024 05:00:00 -0000

ros-rolling-rviz2 (14.2.5-2resolute) resolute; urgency=high

  * Detect wayland and make sure X rendering is used. (#1253 <https://github.com/ros2/rviz/issues/1253>)
  * Contributors: Matthew Elwin

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 29 Jul 2024 05:00:00 -0000

ros-rolling-rviz2 (14.2.4-2resolute) resolute; urgency=high

  * Fixed RViz2 linters (#1231 <https://github.com/ros2/rviz/issues/1231>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 19 Jul 2024 05:00:00 -0000

ros-rolling-rviz2 (14.2.3-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 25 Jun 2024 05:00:00 -0000

ros-rolling-rviz2 (14.2.2-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 17 Jun 2024 05:00:00 -0000

ros-rolling-rviz2 (14.2.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 24 May 2024 05:00:00 -0000

ros-rolling-rviz2 (14.2.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 26 Apr 2024 05:00:00 -0000

ros-rolling-rviz2 (14.1.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 16 Apr 2024 05:00:00 -0000

ros-rolling-rviz2 (14.0.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 07 Apr 2024 05:00:00 -0000

ros-rolling-rviz2 (13.4.2-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 27 Mar 2024 05:00:00 -0000

ros-rolling-rviz2 (13.4.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 Mar 2024 05:00:00 -0000

ros-rolling-rviz2 (13.4.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 09 Mar 2024 06:00:00 -0000

ros-rolling-rviz2 (13.3.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 24 Jan 2024 06:00:00 -0000

ros-rolling-rviz2 (13.3.0-2resolute) resolute; urgency=high

  * Add "R" key as shortcut for resetTime (#1088 <https://github.com/ros2/rviz/issues/1088>)
  * Switch to target_link_libraries. (#1098 <https://github.com/ros2/rviz/issues/1098>)
  * Contributors: Chris Lalancette, Paul Erik Frivold

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 Dec 2023 06:00:00 -0000

ros-rolling-rviz2 (13.2.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 06 Nov 2023 06:00:00 -0000

ros-rolling-rviz2 (13.1.2-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 09 Oct 2023 05:00:00 -0000

ros-rolling-rviz2 (13.1.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 04 Oct 2023 05:00:00 -0000

ros-rolling-rviz2 (13.1.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Sep 2023 05:00:00 -0000

ros-rolling-rviz2 (13.0.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Aug 2023 05:00:00 -0000

ros-rolling-rviz2 (12.8.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 27 Aug 2023 05:00:00 -0000

ros-rolling-rviz2 (12.7.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Jul 2023 05:00:00 -0000

ros-rolling-rviz2 (12.6.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 12 Jun 2023 05:00:00 -0000

ros-rolling-rviz2 (12.6.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 07 Jun 2023 05:00:00 -0000

ros-rolling-rviz2 (12.5.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 11 May 2023 05:00:00 -0000

ros-rolling-rviz2 (12.5.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 28 Apr 2023 05:00:00 -0000

ros-rolling-rviz2 (12.4.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 18 Apr 2023 05:00:00 -0000

ros-rolling-rviz2 (12.3.2-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 05:00:00 -0000

ros-rolling-rviz2 (12.3.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 01 Mar 2023 06:00:00 -0000

ros-rolling-rviz2 (12.3.0-2resolute) resolute; urgency=high

  * Make rviz1_to_rviz2.py accept configs with missing values (#945 <https://github.com/ros2/rviz/issues/945>)
  * Update rviz to C++17. (#939 <https://github.com/ros2/rviz/issues/939>)
  * [rolling] Update maintainers - 2022-11-07 (#923 <https://github.com/ros2/rviz/issues/923>)
  * Contributors: Audrow Nash, Chris Lalancette, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 14 Feb 2023 06:00:00 -0000

ros-rolling-rviz2 (12.2.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 07 Nov 2022 06:00:00 -0000

ros-rolling-rviz2 (12.1.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Nov 2022 05:00:00 -0000

ros-rolling-rviz2 (12.0.0-2resolute) resolute; urgency=high

  * Add rviz1_to_rviz2.py conversion script (#882 <https://github.com/ros2/rviz/issues/882>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Sep 2022 05:00:00 -0000

ros-rolling-rviz2 (11.3.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 Apr 2022 05:00:00 -0000

ros-rolling-rviz2 (11.2.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 08 Apr 2022 05:00:00 -0000

ros-rolling-rviz2 (11.1.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 30 Mar 2022 05:00:00 -0000

ros-rolling-rviz2 (11.1.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Mar 2022 05:00:00 -0000

ros-rolling-rviz2 (11.0.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-rolling-rviz2 (10.0.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 16 Feb 2022 06:00:00 -0000

ros-rolling-rviz2 (9.1.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 25 Jan 2022 06:00:00 -0000

ros-rolling-rviz2 (9.1.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 06:00:00 -0000

ros-rolling-rviz2 (9.0.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 17 Dec 2021 06:00:00 -0000

ros-rolling-rviz2 (9.0.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Nov 2021 06:00:00 -0000

ros-rolling-rviz2 (8.7.0-2resolute) resolute; urgency=high

  * Change links index.ros.org -> docs.ros.org. (#698 <https://github.com/ros2/rviz/issues/698>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 11 Aug 2021 05:00:00 -0000

ros-rolling-rviz2 (8.6.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 May 2021 05:00:00 -0000

ros-rolling-rviz2 (8.5.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-rolling-rviz2 (8.4.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-rolling-rviz2 (8.3.1-2resolute) resolute; urgency=high

  * Use "%s" as format string literal in logging macros (#633 <https://github.com/ros2/rviz/issues/633>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-rolling-rviz2 (8.3.0-2resolute) resolute; urgency=high

  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Move and update documentation for ROS 2 (#600 <https://github.com/ros2/rviz/issues/600>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 08 Dec 2020 06:00:00 -0000

ros-rolling-rviz2 (8.2.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Jun 2020 05:00:00 -0000

ros-rolling-rviz2 (8.1.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 03 Jun 2020 05:00:00 -0000

ros-rolling-rviz2 (8.1.0-2resolute) resolute; urgency=high

  * Added missing virtual destructors (#553 <https://github.com/ros2/rviz/issues/553>)
  * Contributors: Ivan Santiago Paunovic

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 03 Jun 2020 05:00:00 -0000

ros-rolling-rviz2 (8.0.3-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 02 Jun 2020 05:00:00 -0000

ros-rolling-rviz2 (8.0.2-2resolute) resolute; urgency=high

  * Removed automoc completely. (#545 <https://github.com/ros2/rviz/issues/545>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 21 May 2020 05:00:00 -0000

ros-rolling-rviz2 (8.0.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 May 2020 05:00:00 -0000

ros-rolling-rviz2 (8.0.0-2resolute) resolute; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Made some code style changes. (#504 <https://github.com/ros2/rviz/issues/504>)
  * Contributors: Dirk Thomas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 01 May 2020 05:00:00 -0000

ros-rolling-rviz2 (7.0.3-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-rolling-rviz2 (7.0.2-2resolute) resolute; urgency=high

  * Remove ROS arguments before passing to QApplication (#474 <https://github.com/ros2/rviz/issues/474>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-rolling-rviz2 (7.0.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 04 Oct 2019 05:00:00 -0000

ros-rolling-rviz2 (7.0.0-2resolute) resolute; urgency=high

  * Remove -Werror from defualt compiler options (#420 <https://github.com/ros2/rviz/issues/420>)
  * Contributors: Hunter L. Allen

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 27 Sep 2019 05:00:00 -0000

ros-rolling-rviz2 (6.1.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-rolling-rviz2 (6.1.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-rolling-rviz2 (6.0.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 08 May 2019 05:00:00 -0000

ros-rolling-rviz2 (5.1.0-2resolute) resolute; urgency=high

  * Update package maintainer for rviz2 (#365 <https://github.com/ros2/rviz/issues/365>)
    Thank you to Deanna for her contributions.
  * Contributors: Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 14 Jan 2019 06:00:00 -0000

ros-rolling-rviz2 (5.0.0-2resolute) resolute; urgency=high

  * Add semicolons to all RCLCPP and RCUTILS macros. (#357 <https://github.com/ros2/rviz/issues/357>)
  * Made the transformation framework used by rviz pluggable. (#346 <https://github.com/ros2/rviz/issues/346>)
  * Contributors: Andreas Greimel, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-rolling-rviz2 (4.0.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 28 Jun 2018 05:00:00 -0000

ros-rolling-rviz2 (4.0.0-2resolute) resolute; urgency=high

  * Fixed compilation errors and runtime issues on Windows. (#175 <https://github.com/ros2/rviz/issues/175>)
  * Introduced a ROS interface abstraction to improve testability. (#156 <https://github.com/ros2/rviz/issues/156>)
  * Added a dependency between rviz2 and rviz_default_plugins (#149 <https://github.com/ros2/rviz/issues/149>)
  * Contributors: Alessandro Bottero, Andreas Greimel, Andreas Holzner, Martin Idel, Mikael Arguedas, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 27 Jun 2018 05:00:00 -0000

ros-rolling-rviz2 (3.0.0-2resolute) resolute; urgency=high

  * Numerous changes to support Windows.
  * Make rviz runnable with ros2 run.
  * Contributors: Andreas Holzner, Hunter Allen, Steven! Ragnarok, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 07 Feb 2018 06:00:00 -0000

ros-rolling-rviz2 (1.12.11-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-rolling-rviz2 (1.12.10-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 Jun 2017 22:37:00 -0000

ros-rolling-rviz2 (1.12.9-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 Jun 2017 19:23:00 -0000

ros-rolling-rviz2 (1.12.8-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 07 May 2017 05:00:00 -0000

ros-rolling-rviz2 (1.12.7-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 05 May 2017 05:00:00 -0000

ros-rolling-rviz2 (1.12.6-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 02 May 2017 05:00:00 -0000

ros-rolling-rviz2 (1.12.5-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 01 May 2017 05:00:00 -0000

ros-rolling-rviz2 (1.12.4-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 27 Oct 2016 05:00:00 -0000

ros-rolling-rviz2 (1.12.3-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 19 Oct 2016 05:00:00 -0000

ros-rolling-rviz2 (1.12.2-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 18 Oct 2016 05:00:00 -0000

ros-rolling-rviz2 (1.12.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 20 Apr 2016 05:00:00 -0000

ros-rolling-rviz2 (1.12.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 11 Apr 2016 05:00:00 -0000

ros-rolling-rviz2 (1.11.14-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 03 Apr 2016 05:00:00 -0000

ros-rolling-rviz2 (1.11.13-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 23 Mar 2016 05:00:00 -0000

ros-rolling-rviz2 (1.11.12-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 23 Mar 2016 00:58:00 -0000

ros-rolling-rviz2 (1.11.11-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 22 Mar 2016 23:16:00 -0000

ros-rolling-rviz2 (1.11.10-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Oct 2015 05:00:00 -0000

ros-rolling-rviz2 (1.11.9-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Sep 2015 05:00:00 -0000

ros-rolling-rviz2 (1.11.8-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 05 Aug 2015 05:00:00 -0000

ros-rolling-rviz2 (1.11.7-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 02 Mar 2015 06:00:00 -0000

ros-rolling-rviz2 (1.11.6-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 13 Feb 2015 06:00:00 -0000

ros-rolling-rviz2 (1.11.5-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 11 Feb 2015 06:00:00 -0000

ros-rolling-rviz2 (1.11.4-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 30 Oct 2014 05:00:00 -0000

ros-rolling-rviz2 (1.11.3-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 26 Jun 2014 05:00:00 -0000

ros-rolling-rviz2 (1.11.2-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 May 2014 05:00:00 -0000

ros-rolling-rviz2 (1.11.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 01 May 2014 05:00:00 -0000

ros-rolling-rviz2 (1.11.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 05 Mar 2014 03:40:00 -0000

ros-rolling-rviz2 (1.10.14-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 05 Mar 2014 03:35:00 -0000

ros-rolling-rviz2 (1.10.13-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 Feb 2014 06:00:00 -0000

ros-rolling-rviz2 (1.10.12-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 25 Feb 2014 06:00:00 -0000

ros-rolling-rviz2 (1.10.11-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 26 Jan 2014 06:00:00 -0000

ros-rolling-rviz2 (1.10.10-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 22 Dec 2013 06:00:00 -0000

ros-rolling-rviz2 (1.10.9-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 15 Oct 2013 05:00:00 -0000

ros-rolling-rviz2 (1.10.7-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 16 Sep 2013 05:00:00 -0000

ros-rolling-rviz2 (1.10.6-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 03 Sep 2013 05:00:00 -0000

ros-rolling-rviz2 (1.10.5-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 28 Aug 2013 08:50:00 -0000

ros-rolling-rviz2 (1.10.4-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 28 Aug 2013 08:13:00 -0000

ros-rolling-rviz2 (1.10.3-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 14 Aug 2013 05:00:00 -0000

ros-rolling-rviz2 (1.10.2-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 26 Jul 2013 05:00:00 -0000

ros-rolling-rviz2 (1.10.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 16 Jul 2013 05:00:00 -0000

ros-rolling-rviz2 (1.10.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 27 Jun 2013 05:00:00 -0000

ros-rolling-rviz2 (1.9.30-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 30 May 2013 05:00:00 -0000

ros-rolling-rviz2 (1.9.29-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 15 Apr 2013 05:00:00 -0000

ros-rolling-rviz2 (1.9.27-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 15 Mar 2013 18:23:00 -0000

ros-rolling-rviz2 (1.9.26-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 15 Mar 2013 15:38:00 -0000

ros-rolling-rviz2 (1.9.25-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Mar 2013 06:00:00 -0000

ros-rolling-rviz2 (1.9.24-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 16 Feb 2013 06:00:00 -0000

ros-rolling-rviz2 (1.9.23-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 13 Feb 2013 06:00:00 -0000

ros-rolling-rviz2 (1.9.22-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 12 Feb 2013 22:30:00 -0000

ros-rolling-rviz2 (1.9.21-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 12 Feb 2013 20:00:00 -0000

ros-rolling-rviz2 (1.9.20-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Jan 2013 06:00:00 -0000

ros-rolling-rviz2 (1.9.19-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 13 Jan 2013 06:00:00 -0000

ros-rolling-rviz2 (1.9.18-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 18 Dec 2012 06:00:00 -0000

ros-rolling-rviz2 (1.9.17-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Dec 2012 06:00:00 -0000

ros-rolling-rviz2 (1.9.16-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 14 Nov 2012 21:49:00 -0000

ros-rolling-rviz2 (1.9.15-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Nov 2012 06:00:00 -0000

ros-rolling-rviz2 (1.9.14-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 14 Nov 2012 08:20:00 -0000

ros-rolling-rviz2 (1.9.13-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 14 Nov 2012 06:58:00 -0000

ros-rolling-rviz2 (1.9.12-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 06 Nov 2012 06:00:00 -0000

ros-rolling-rviz2 (1.9.11-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 02 Nov 2012 05:00:00 -0000

ros-rolling-rviz2 (1.9.10-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 01 Nov 2012 16:10:00 -0000

ros-rolling-rviz2 (1.9.9-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 01 Nov 2012 16:01:00 -0000

ros-rolling-rviz2 (1.9.8-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 01 Nov 2012 15:52:00 -0000

ros-rolling-rviz2 (1.9.7-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 01 Nov 2012 15:40:00 -0000

ros-rolling-rviz2 (1.9.6-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 31 Oct 2012 05:00:00 -0000

ros-rolling-rviz2 (1.9.5-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 19 Oct 2012 05:00:00 -0000

ros-rolling-rviz2 (1.9.4-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 15 Oct 2012 20:00:00 -0000

ros-rolling-rviz2 (1.9.3-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 15 Oct 2012 15:41:00 -0000

ros-rolling-rviz2 (1.9.2-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 12 Oct 2012 18:38:00 -0000

ros-rolling-rviz2 (1.9.1-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 12 Oct 2012 16:57:00 -0000

ros-rolling-rviz2 (1.9.0-2resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 10 Oct 2012 05:00:00 -0000


